#ifndef IMAGEINFO_H
#define IMAGEINFO_H

#include <QTreeWidget>

struct FITSRecord
{
    QByteArray key;
    QVariant value;
    QByteArray comment;
    bool editable() const;
};

struct ImageInfoData
{
    QVector<FITSRecord> fitsHeader;
    QVector<QPair<QString, QString>> info;
};

Q_DECLARE_METATYPE(ImageInfoData);

typedef enum
{
    None,
    Statistics,
    Peaks,
    Stars,
}AnalyzeLevel;

class ImageInfo : public QTreeWidget
{
    Q_OBJECT
public:
    explicit ImageInfo(QWidget *parent);
    ~ImageInfo();
public slots:
    void setInfo(const ImageInfoData &info);
};

#endif // IMAGEINFO_H
